summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorFrans Pop <fjp@debian.org>2009-12-27 17:53:11 (GMT)
committerFrans Pop <fjp@debian.org>2009-12-27 17:53:11 (GMT)
commitd11a251a6982b7ace33c7ae4a5c0bdacb1fbd625 (patch)
tree295fe10ae735e429f8c0cd979eca6c1d40c122ad /scripts
parenta887497569f5abcd4a3262330af62a51ba07fa9c (diff)
downloaddebootstrap-d11a251a6982b7ace33c7ae4a5c0bdacb1fbd625.zip
debootstrap-d11a251a6982b7ace33c7ae4a5c0bdacb1fbd625.tar.gz
debootstrap-d11a251a6982b7ace33c7ae4a5c0bdacb1fbd625.tar.bz2
Use tab indentation in scripts/debian/sid to reduce its size
Saves a bit over 400B for Debian Installer. r61882
Diffstat (limited to 'scripts')
-rw-r--r--scripts/debian/sid287
1 files changed, 144 insertions, 143 deletions
diff --git a/scripts/debian/sid b/scripts/debian/sid
index 50a9f50..fab6f42 100644
--- a/scripts/debian/sid
+++ b/scripts/debian/sid
@@ -4,194 +4,195 @@ finddebs_style from-indices
variants - buildd fakechroot minbase scratchbox
if doing_variant fakechroot; then
- test "$FAKECHROOT" = "true" || error 1 FAKECHROOTREQ "This variant requires fakechroot environment to be started"
+ test "$FAKECHROOT" = "true" || error 1 FAKECHROOTREQ "This variant requires fakechroot environment to be started"
fi
case $ARCH in
- alpha|ia64) LIBC="libc6.1" ;;
- kfreebsd-*) LIBC="libc0.1" ;;
- hurd-*) LIBC="libc0.3" ;;
- *) LIBC="libc6" ;;
+ alpha|ia64) LIBC="libc6.1" ;;
+ kfreebsd-*) LIBC="libc0.1" ;;
+ hurd-*) LIBC="libc0.3" ;;
+ *) LIBC="libc6" ;;
esac
work_out_debs () {
- required="$(get_debs Priority: required)"
-
- if doing_variant - || doing_variant fakechroot; then
- #required="$required $(get_debs Priority: important)"
- # ^^ should be getting debconf here somehow maybe
- base="$(get_debs Priority: important)"
- elif doing_variant buildd || doing_variant scratchbox; then
- base="$(get_debs Build-Essential: yes)"
- elif doing_variant minbase; then
- base="apt"
- fi
-
- if doing_variant fakechroot; then
- # ldd.fake needs binutils
- required="$required binutils"
- fi
+ required="$(get_debs Priority: required)"
+
+ if doing_variant - || doing_variant fakechroot; then
+ #required="$required $(get_debs Priority: important)"
+ # ^^ should be getting debconf here somehow maybe
+ base="$(get_debs Priority: important)"
+ elif doing_variant buildd || doing_variant scratchbox; then
+ base="$(get_debs Build-Essential: yes)"
+ elif doing_variant minbase; then
+ base="apt"
+ fi
+
+ if doing_variant fakechroot; then
+ # ldd.fake needs binutils
+ required="$required binutils"
+ fi
}
first_stage_install () {
- extract $required
+ extract $required
- mkdir -p "$TARGET/var/lib/dpkg"
- : >"$TARGET/var/lib/dpkg/status"
- echo >"$TARGET/var/lib/dpkg/available"
+ mkdir -p "$TARGET/var/lib/dpkg"
+ : >"$TARGET/var/lib/dpkg/status"
+ echo >"$TARGET/var/lib/dpkg/available"
- setup_etc
- if [ ! -e "$TARGET/etc/fstab" ]; then
- echo '# UNCONFIGURED FSTAB FOR BASE SYSTEM' > "$TARGET/etc/fstab"
- chown 0:0 "$TARGET/etc/fstab"; chmod 644 "$TARGET/etc/fstab"
- fi
+ setup_etc
+ if [ ! -e "$TARGET/etc/fstab" ]; then
+ echo '# UNCONFIGURED FSTAB FOR BASE SYSTEM' > "$TARGET/etc/fstab"
+ chown 0:0 "$TARGET/etc/fstab"; chmod 644 "$TARGET/etc/fstab"
+ fi
- if [ -x "$TARGET/usr/bin/md5sum.textutils" ] && [ \! -e "$TARGET/usr/bin/md5sum" ]; then
- cp "$TARGET/usr/bin/md5sum.textutils" "$TARGET/usr/bin/md5sum"
- fi
+ if [ -x "$TARGET/usr/bin/md5sum.textutils" ] && \
+ [ \! -e "$TARGET/usr/bin/md5sum" ]; then
+ cp "$TARGET/usr/bin/md5sum.textutils" "$TARGET/usr/bin/md5sum"
+ fi
- if doing_variant fakechroot; then
- setup_devices_fakechroot
- else
- setup_devices
- fi
+ if doing_variant fakechroot; then
+ setup_devices_fakechroot
+ else
+ setup_devices
+ fi
- x_feign_install () {
- local pkg="$1"
- local deb="$(debfor $pkg)"
- local ver="$(extract_deb_field "$TARGET/$deb" Version)"
+ x_feign_install () {
+ local pkg="$1"
+ local deb="$(debfor $pkg)"
+ local ver="$(extract_deb_field "$TARGET/$deb" Version)"
- mkdir -p "$TARGET/var/lib/dpkg/info"
+ mkdir -p "$TARGET/var/lib/dpkg/info"
- echo \
+ echo \
"Package: $pkg
Version: $ver
Status: install ok installed" >> "$TARGET/var/lib/dpkg/status"
- touch "$TARGET/var/lib/dpkg/info/${pkg}.list"
- }
+ touch "$TARGET/var/lib/dpkg/info/${pkg}.list"
+ }
- x_feign_install dpkg
+ x_feign_install dpkg
}
second_stage_install () {
- x_core_install () {
- smallyes '' | in_target dpkg --force-depends --install $(debfor "$@")
- }
+ x_core_install () {
+ smallyes '' | in_target dpkg --force-depends --install $(debfor "$@")
+ }
- p () {
- baseprog="$(($baseprog + ${1:-1}))"
- }
+ p () {
+ baseprog="$(($baseprog + ${1:-1}))"
+ }
- if doing_variant fakechroot; then
- setup_proc_fakechroot
- elif doing_variant scratchbox; then
- true
- else
- setup_proc
- in_target /sbin/ldconfig
- fi
+ if doing_variant fakechroot; then
+ setup_proc_fakechroot
+ elif doing_variant scratchbox; then
+ true
+ else
+ setup_proc
+ in_target /sbin/ldconfig
+ fi
- DEBIAN_FRONTEND=noninteractive
- DEBCONF_NONINTERACTIVE_SEEN=true
- export DEBIAN_FRONTEND DEBCONF_NONINTERACTIVE_SEEN
+ DEBIAN_FRONTEND=noninteractive
+ DEBCONF_NONINTERACTIVE_SEEN=true
+ export DEBIAN_FRONTEND DEBCONF_NONINTERACTIVE_SEEN
- baseprog=0
- bases=7
+ baseprog=0
+ bases=7
- p; progress $baseprog $bases INSTCORE "Installing core packages" #1
- info INSTCORE "Installing core packages..."
+ p; progress $baseprog $bases INSTCORE "Installing core packages" #1
+ info INSTCORE "Installing core packages..."
- p; progress $baseprog $bases INSTCORE "Installing core packages" #2
- ln -sf mawk "$TARGET/usr/bin/awk"
- x_core_install base-files base-passwd
- p; progress $baseprog $bases INSTCORE "Installing core packages" #3
- x_core_install dpkg
+ p; progress $baseprog $bases INSTCORE "Installing core packages" #2
+ ln -sf mawk "$TARGET/usr/bin/awk"
+ x_core_install base-files base-passwd
+ p; progress $baseprog $bases INSTCORE "Installing core packages" #3
+ x_core_install dpkg
- if [ ! -e "$TARGET/etc/localtime" ]; then
- ln -sf /usr/share/zoneinfo/UTC "$TARGET/etc/localtime"
- fi
+ if [ ! -e "$TARGET/etc/localtime" ]; then
+ ln -sf /usr/share/zoneinfo/UTC "$TARGET/etc/localtime"
+ fi
- if doing_variant fakechroot; then
- install_fakechroot_tools
- fi
+ if doing_variant fakechroot; then
+ install_fakechroot_tools
+ fi
- p; progress $baseprog $bases INSTCORE "Installing core packages" #4
- x_core_install $LIBC
+ p; progress $baseprog $bases INSTCORE "Installing core packages" #4
+ x_core_install $LIBC
- p; progress $baseprog $bases INSTCORE "Installing core packages" #5
- x_core_install perl-base
+ p; progress $baseprog $bases INSTCORE "Installing core packages" #5
+ x_core_install perl-base
- p; progress $baseprog $bases INSTCORE "Installing core packages" #6
- rm "$TARGET/usr/bin/awk"
- x_core_install mawk
+ p; progress $baseprog $bases INSTCORE "Installing core packages" #6
+ rm "$TARGET/usr/bin/awk"
+ x_core_install mawk
- p; progress $baseprog $bases INSTCORE "Installing core packages" #7
- if doing_variant -; then
- x_core_install debconf
- fi
+ p; progress $baseprog $bases INSTCORE "Installing core packages" #7
+ if doing_variant -; then
+ x_core_install debconf
+ fi
- baseprog=0
- bases=$(set -- $required; echo $#)
+ baseprog=0
+ bases=$(set -- $required; echo $#)
- info UNPACKREQ "Unpacking required packages..."
+ info UNPACKREQ "Unpacking required packages..."
- exec 7>&1
+ exec 7>&1
- smallyes '' |
- (repeatn 5 in_target_failmsg UNPACK_REQ_FAIL_FIVE "Failure while unpacking required packages. This will be attempted up to five times." "" \
- dpkg --status-fd 8 --force-depends --unpack $(debfor $required) 8>&1 1>&7 || echo EXITCODE $?) |
- dpkg_progress $baseprog $bases UNPACKREQ "Unpacking required packages" UNPACKING
+ smallyes '' |
+ (repeatn 5 in_target_failmsg UNPACK_REQ_FAIL_FIVE "Failure while unpacking required packages. This will be attempted up to five times." "" \
+ dpkg --status-fd 8 --force-depends --unpack $(debfor $required) 8>&1 1>&7 || echo EXITCODE $?) |
+ dpkg_progress $baseprog $bases UNPACKREQ "Unpacking required packages" UNPACKING
- info CONFREQ "Configuring required packages..."
+ info CONFREQ "Configuring required packages..."
- mv "$TARGET/sbin/start-stop-daemon" "$TARGET/sbin/start-stop-daemon.REAL"
- echo \
+ mv "$TARGET/sbin/start-stop-daemon" "$TARGET/sbin/start-stop-daemon.REAL"
+ echo \
"#!/bin/sh
echo
echo \"Warning: Fake start-stop-daemon called, doing nothing\"" > "$TARGET/sbin/start-stop-daemon"
- chmod 755 "$TARGET/sbin/start-stop-daemon"
-
- setup_dselect_method apt
-
- smallyes '' |
- (in_target_failmsg CONF_REQ_FAIL "Failure while configuring required packages." "" \
- dpkg --status-fd 8 --configure --pending --force-configure-any --force-depends 8>&1 1>&7 || echo EXITCODE $?) |
- dpkg_progress $baseprog $bases CONFREQ "Configuring required packages" CONFIGURING
-
- baseprog=0
- bases="$(set -- $base; echo $#)"
-
- info UNPACKBASE "Unpacking the base system..."
-
- setup_available $required $base
- done_predeps=
- while predep=$(get_next_predep); do
- # We have to resolve dependencies of pre-dependencies manually because
- # dpkg --predep-package doesn't handle this.
- predep=$(without "$(without "$(resolve_deps $predep)" "$required")" "$done_predeps")
- # XXX: progress is tricky due to how dpkg_progress works
- # -- cjwatson 2009-07-29
- p; smallyes '' | in_target dpkg --force-overwrite --force-confold --skip-same-version --install $(debfor $predep)
- base=$(without "$base" "$predep")
- done_predeps="$done_predeps $predep"
- done
-
- smallyes '' |
- (repeatn 5 in_target_failmsg INST_BASE_FAIL_FIVE "Failure while installing base packages. This will be re-attempted up to five times." "" \
- dpkg --status-fd 8 --force-overwrite --force-confold --skip-same-version --unpack $(debfor $base) 8>&1 1>&7 || echo EXITCODE $?) |
- dpkg_progress $baseprog $bases UNPACKBASE "Unpacking base system" UNPACKING
-
- info CONFBASE "Configuring the base system..."
-
- smallyes '' |
- (repeatn 5 \
- in_target_failmsg CONF_BASE_FAIL "Failure while configuring base packages." "" \
- dpkg --status-fd 8 --force-confold --skip-same-version --configure -a 8>&1 1>&7 || echo EXITCODE $?) |
- dpkg_progress $baseprog $bases CONFBASE "Configuring base system" CONFIGURING
+ chmod 755 "$TARGET/sbin/start-stop-daemon"
+
+ setup_dselect_method apt
+
+ smallyes '' |
+ (in_target_failmsg CONF_REQ_FAIL "Failure while configuring required packages." "" \
+ dpkg --status-fd 8 --configure --pending --force-configure-any --force-depends 8>&1 1>&7 || echo EXITCODE $?) |
+ dpkg_progress $baseprog $bases CONFREQ "Configuring required packages" CONFIGURING
+
+ baseprog=0
+ bases="$(set -- $base; echo $#)"
+
+ info UNPACKBASE "Unpacking the base system..."
+
+ setup_available $required $base
+ done_predeps=
+ while predep=$(get_next_predep); do
+ # We have to resolve dependencies of pre-dependencies manually because
+ # dpkg --predep-package doesn't handle this.
+ predep=$(without "$(without "$(resolve_deps $predep)" "$required")" "$done_predeps")
+ # XXX: progress is tricky due to how dpkg_progress works
+ # -- cjwatson 2009-07-29
+ p; smallyes '' |
+ in_target dpkg --force-overwrite --force-confold --skip-same-version --install $(debfor $predep)
+ base=$(without "$base" "$predep")
+ done_predeps="$done_predeps $predep"
+ done
+
+ smallyes '' |
+ (repeatn 5 in_target_failmsg INST_BASE_FAIL_FIVE "Failure while installing base packages. This will be re-attempted up to five times." "" \
+ dpkg --status-fd 8 --force-overwrite --force-confold --skip-same-version --unpack $(debfor $base) 8>&1 1>&7 || echo EXITCODE $?) |
+ dpkg_progress $baseprog $bases UNPACKBASE "Unpacking base system" UNPACKING
+
+ info CONFBASE "Configuring the base system..."
+
+ smallyes '' |
+ (repeatn 5 in_target_failmsg CONF_BASE_FAIL "Failure while configuring base packages." "" \
+ dpkg --status-fd 8 --force-confold --skip-same-version --configure -a 8>&1 1>&7 || echo EXITCODE $?) |
+ dpkg_progress $baseprog $bases CONFBASE "Configuring base system" CONFIGURING
- mv "$TARGET/sbin/start-stop-daemon.REAL" "$TARGET/sbin/start-stop-daemon"
+ mv "$TARGET/sbin/start-stop-daemon.REAL" "$TARGET/sbin/start-stop-daemon"
- progress $bases $bases CONFBASE "Configuring base system"
- info BASESUCCESS "Base system installed successfully."
+ progress $bases $bases CONFBASE "Configuring base system"
+ info BASESUCCESS "Base system installed successfully."
}